| QxOrm 1.4.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
qx::dao::detail::QxSqlGenerator_Oracle Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlGenerator_Oracle : SQL generator for Oracle database More...

`#include <QxSqlGenerator_Oracle.h>`

Inheritance diagram for qx::dao::detail::QxSqlGenerator_Oracle:

List of all members.

## Public Member Functions
| QxSqlGenerator_Oracle ()
virtual | ~QxSqlGenerator_Oracle ()
virtual QString | getLimit (const QxSqlLimit *pLimit) const
virtual void | resolveLimit (QSqlQuery &query, const QxSqlLimit *pLimit) const
virtual void | postProcess (QString &sql, const QxSqlLimit *pLimit) const
## Private Member Functions
void | initSqlTypeByClassName () const

## Detailed Description

qx::dao::detail::QxSqlGenerator_Oracle : SQL generator for Oracle database

Definition at line 56 of file QxSqlGenerator_Oracle.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlGenerator_Oracle::QxSqlGenerator_Oracle | ( |  | ) |

virtual qx::dao::detail::QxSqlGenerator_Oracle::~QxSqlGenerator_Oracle | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlGenerator_Oracle::getLimit | ( | const QxSqlLimit * | pLimit | ) | const`[virtual]`

Reimplemented from qx::dao::detail::QxSqlGenerator_Standard.

void qx::dao::detail::QxSqlGenerator_Oracle::initSqlTypeByClassName | ( |  | ) | const`[private]`

virtual void qx::dao::detail::QxSqlGenerator_Oracle::postProcess | ( | QString & | sql,
|  | const QxSqlLimit * | pLimit
| ) |  | const`[virtual]`

Reimplemented from qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::QxSqlGenerator_Oracle::resolveLimit | ( | QSqlQuery & | query,
|  | const QxSqlLimit * | pLimit
| ) |  | const`[virtual]`

Reimplemented from qx::dao::detail::QxSqlGenerator_Standard.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlGenerator/QxSqlGenerator_Oracle.h